### Method

# Lasem DomDocument save_to_memory

#### Declaration [src]

    void
    lsm_dom_document_save_to_memory (
      LsmDomDocument* document,
      char** buffer,
      gsize* size,
      GError** error
    )

#### Description [src]

Save `document` as an xml representation into `buffer`.

#### Parameters

`buffer`

  Type: `char**`

  Placeholder for a pointer to the resulting data buffer.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`size`

  Type: `gsize*`

  Placeholder for the data size.

  The argument will be set by the function.
  The argument can be `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.